## org.apache.poi.xwpf.model
Class XWPFHyperlinkDecorator

    java.lang.Object
      org.apache.poi.xwpf.model.XWPFParagraphDecorator
          org.apache.poi.xwpf.model.XWPFHyperlinkDecorator

Deprecated. Use `XWPFHyperlinkRun` instead

    @Deprecated
    public class XWPFHyperlinkDecorator

extends XWPFParagraphDecorator

Decorator class for XWPFParagraph allowing to add hyperlinks found in paragraph to its text. Note - adds the hyperlink at the end, not in the right place...

Field Summary

Fields inherited from class org.apache.poi.xwpf.model.XWPFParagraphDecorator
`nextDecorator, paragraph`

Constructor Summary
`XWPFHyperlinkDecorator(XWPFParagraphDecorator nextDecorator, boolean outputHyperlinkUrls)` Deprecated.
`XWPFHyperlinkDecorator(XWPFParagraph prgrph, XWPFParagraphDecorator nextDecorator, boolean outputHyperlinkUrls)` Deprecated.

Method Summary
`java.lang.String` `getText()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWPFHyperlinkDecorator

    public XWPFHyperlinkDecorator(XWPFParagraphDecorator nextDecorator,
                                  boolean outputHyperlinkUrls)

  Deprecated.
  Parameters:
    `nextDecorator` - The next decorator to use
    `outputHyperlinkUrls` - Should we output the links too, or just the link text?

### XWPFHyperlinkDecorator

    public XWPFHyperlinkDecorator(XWPFParagraph prgrph,
                                  XWPFParagraphDecorator nextDecorator,
                                  boolean outputHyperlinkUrls)

  Deprecated.
  Parameters:
    `prgrph` - The paragraph of text to work on
    `outputHyperlinkUrls` - Should we output the links too, or just the link text?

Method Detail

### getText

    public java.lang.String getText()

  Deprecated.
  Overrides:
    `getText` in class `XWPFParagraphDecorator`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.